WiiRemoteDiscoveredEvent
Keywords: wiiremotej.event.WiiRemoteDiscoveredEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WiiRemoteDiscoveredEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WiiRemoteDiscoveredEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WiiRemoteDiscoveredEvent

extends java.util.EventObject

An event for when a Wii Remote is discovered through a nonblocking method. Contains the number of the WiiRemote and the remote itself. Note that the getSource() method of a WiiRemoteDiscoveredEvent will return a meaningless object, as the source is a static class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WiiRemoteDiscoveredEvent(WiiRemote remote, int number)` Creates a new WiiRemoteDiscoveredEvent from the given remote and number.

Method Summary
`int` | `getNumber()` Returns the number of the discovered remote.
`WiiRemote` | `getWiiRemote()` Returns the discovered WiiRemote of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WiiRemoteDiscoveredEvent

    public WiiRemoteDiscoveredEvent(WiiRemote remote,
                                    int number)

  Creates a new WiiRemoteDiscoveredEvent from the given remote and number.

  Parameters:
    `remote` - the discovered remote.
    `number` - the number of the remote discovered in the current find method, starting with 0.

Method Detail

### getWiiRemote

    public WiiRemote getWiiRemote()

  Returns the discovered WiiRemote of this event.

  Returns:
    the discovered WiiRemote of this event.

### getNumber

    public int getNumber()

  Returns the number of the discovered remote. The first remote is number 0.

  Returns:
    the number of the discovered remote.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD